<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="38dp"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/news_search_bg"
        android:gravity="center_vertical">

        <EditText
            android:id="@+id/et_search"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginRight="48dp"
            android:background="@null"
            android:hint="@string/game_detail_search_input"
            android:imeOptions="actionSearch"
            android:paddingLeft="5dp"
            android:paddingRight="32dp"
            android:singleLine="true"
            android:textColorHint="@color/text_b2b2b2"
            android:textCursorDrawable="@drawable/cursor_color"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_search"
            android:layout_width="48dp"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:layout_margin="1dp"
            android:background="@drawable/news_search_btn"
            android:gravity="center"
            android:text="@string/game_detail_search"
            android:textColor="@color/white"
            android:textSize="14sp" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/gamedetail_news_rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_margin="8dp" />

        <LinearLayout
            android:id="@+id/gamedetail_news_ll_loading"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ProgressBar
                style="@style/android:Widget.Holo.ProgressBar"
                android:layout_width="25dp"
                android:layout_height="25dp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="@string/loading"
                android:textColor="@color/content"
                android:textSize="14sp" />

        </LinearLayout>

        <include layout="@layout/reuse_no_connection" />

        <include layout="@layout/reuse_none_data" />

        <include layout="@layout/reuse_data_exception" />

    </RelativeLayout>

</LinearLayout>